Skip Navigation

Today we released WCML 4.8.0. This version includes bug fixes for WooCommerce 4.0 compatibility issue with the user’s “order completed” email and addresses several compatibility issues for third-party plugins.

WCML 4.8.0 changelog

  • Fixed JS SyntaxError on Products listing page.
  • Fixed not registered ‘Additional Content’ emails setting text after first saving.
  • Removed extra slash from the end of the translated base slug if a user added it.
  • Fixed custom fields translation in the Translation Editor for the variations post type.
  • Fixed the translated “Order Completed” email being sent in the default language with WooCommerce 4.0.
  • Fixed duplicated currency code in the “Default currency” drop-down on the Multi-currency settings page.
  • Fixed the language selector displayed in the wrong place on the Permalinks settings page.
  • Fixed the customer order status email language when sent the shop manager use the English language and English is not an active language.
  • Fixed attributes synchronization that might break variations relationships.
  • Fixed not being able to save the custom prices if the translation is duplicated and native screen editor selected.
  • Fixed multiple same post meta keys translations.
  • Compatibility Fix – Add variation single “translatable” custom fields to translation package.
  • Compatibility Fix – Error on Subscription renewal via PayPal.
  • Compatibility Fix – The Events Calendar ticket meta is not saved if translated by a professional translation service.

Download and Update

You will receive this update automatically to all your registered sites. You can also download and install it manually from your WPML account. Check our detailed guide that explains the process of building a multilingual WooComemrce site

Feedback

If you need have any questions, leave your comments here and we’ll get back to you.

2 Responses to “WCML 4.8.0 With Bug Fixes”

  1. Hello..

    ‘Untested with your version of WordPress’

    Hi, when are your guys going to conduct testing on WordPress 5.4 ?

    And is this pluggin by your company?
    Author: OnTheGoSystems
    Last Updated: 4 weeks ago

    My site could use a Multilingual and a currency convertor.
    Just wondering how many language or currencies can the free version support?

    Thanks

    • Hi Josh, WooCommerce Multilingual is tested and compatible with WP 5.4, it was a matter of updating our read.me file which we are doing right now – sorry about that!
      The plugin is developed by us – yes.
      There is no limit to the number of languages you can use for the currency switcher.

      Have a nice day!